/*******************************************************************************
 * Copyright (c) 2012 BestSolution.at and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Tom Schindl<tom.schindl@bestsolution.at> - initial API and implementation
 *******************************************************************************/
package org.eclipse.fx.formats.svg.svg;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>XLink Attributes</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__href <em>Xlink href</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__show <em>Xlink show</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__actuate <em>Xlink actuate</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__type <em>Xlink type</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__role <em>Xlink role</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__arcrole <em>Xlink arcrole</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__title <em>Xlink title</em>}</li>
 *   <li>{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getResolvedInstance <em>Resolved Instance</em>}</li>
 * </ul>
 *
 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes()
 * @model interface="true" abstract="true"
 * @generated
 */
public interface XLinkAttributes extends EObject {
	/**
	 * Returns the value of the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xlink href</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xlink href</em>' attribute.
	 * @see #setXlink__href(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes_Xlink__href()
	 * @model
	 * @generated
	 */
	String getXlink__href();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__href <em>Xlink href</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xlink href</em>' attribute.
	 * @see #getXlink__href()
	 * @generated
	 */
	void setXlink__href(String value);

	/**
	 * Returns the value of the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xlink show</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xlink show</em>' attribute.
	 * @see #setXlink__show(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes_Xlink__show()
	 * @model
	 * @generated
	 */
	String getXlink__show();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__show <em>Xlink show</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xlink show</em>' attribute.
	 * @see #getXlink__show()
	 * @generated
	 */
	void setXlink__show(String value);

	/**
	 * Returns the value of the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xlink actuate</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xlink actuate</em>' attribute.
	 * @see #setXlink__actuate(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes_Xlink__actuate()
	 * @model
	 * @generated
	 */
	String getXlink__actuate();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__actuate <em>Xlink actuate</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xlink actuate</em>' attribute.
	 * @see #getXlink__actuate()
	 * @generated
	 */
	void setXlink__actuate(String value);

	/**
	 * Returns the value of the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xlink type</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xlink type</em>' attribute.
	 * @see #setXlink__type(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes_Xlink__type()
	 * @model
	 * @generated
	 */
	String getXlink__type();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__type <em>Xlink type</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xlink type</em>' attribute.
	 * @see #getXlink__type()
	 * @generated
	 */
	void setXlink__type(String value);

	/**
	 * Returns the value of the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xlink role</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xlink role</em>' attribute.
	 * @see #setXlink__role(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes_Xlink__role()
	 * @model
	 * @generated
	 */
	String getXlink__role();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__role <em>Xlink role</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xlink role</em>' attribute.
	 * @see #getXlink__role()
	 * @generated
	 */
	void setXlink__role(String value);

	/**
	 * Returns the value of the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xlink arcrole</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xlink arcrole</em>' attribute.
	 * @see #setXlink__arcrole(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes_Xlink__arcrole()
	 * @model
	 * @generated
	 */
	String getXlink__arcrole();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__arcrole <em>Xlink arcrole</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xlink arcrole</em>' attribute.
	 * @see #getXlink__arcrole()
	 * @generated
	 */
	void setXlink__arcrole(String value);

	/**
	 * Returns the value of the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xlink title</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xlink title</em>' attribute.
	 * @see #setXlink__title(String)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes_Xlink__title()
	 * @model
	 * @generated
	 */
	String getXlink__title();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__title <em>Xlink title</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xlink title</em>' attribute.
	 * @see #getXlink__title()
	 * @generated
	 */
	void setXlink__title(String value);

	/**
	 * Returns the value of the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Resolved Instance</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Resolved Instance</em>' containment reference.
	 * @see #setResolvedInstance(SvgElement)
	 * @see org.eclipse.fx.formats.svg.svg.SvgPackage#getXLinkAttributes_ResolvedInstance()
	 * @model containment="true" transient="true"
	 * @generated
	 */
	SvgElement getResolvedInstance();

	/**
	 * Sets the value of the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getResolvedInstance <em>Resolved Instance</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Resolved Instance</em>' containment reference.
	 * @see #getResolvedInstance()
	 * @generated
	 */
	void setResolvedInstance(SvgElement value);

} // XLinkAttributes
